Devuan bug report logs - #574
libczmq4: czmq doesn't compile when using libelogind-dev instead of libsystemd-dev

version graph

Package: libelogind0; Maintainer for libelogind0 is Mark Hindley <mark@hindley.org.uk>; Source for libelogind0 is src:elogind.

Reported by: florine forine <florine@danwin1210.me>

Date: Thu, 8 Apr 2021 09:33:01 UTC

Severity: normal

Tags: ceres, chimaera, patch

Merged with 435, 562, 609

Fixed in version 243.8-1

Done: dak@devuan.org

Reply or subscribe to this bug.

Toggle useless messages

View this report as an mbox folder, status mbox, maintainer mbox


Report forwarded to devuan-bugs@lists.dyne.org, devuan-dev@lists.dyne.org:
bug#574; Package libczmq4. (Thu, 08 Apr 2021 09:33:01 GMT) (full text, mbox, link).


Acknowledgement sent to florine forine <florine@danwin1210.me>:
New bug report received and forwarded. Copy sent to devuan-dev@lists.dyne.org. (Thu, 08 Apr 2021 09:33:04 GMT) (full text, mbox, link).


Message #5 received at submit@bugs.devuan.org (full text, mbox, reply):

From: florine forine <florine@danwin1210.me>
To: Devuan Bug Tracking System <submit@bugs.devuan.org>
Subject: libczmq4: czmq doesn't compile when using libelogind-dev instead of libsystemd-dev
Date: Wed, 7 Apr 2021 20:14:40 +0000
[Message part 1 (text/plain, inline)]
Package: libczmq4
Version: 4.2.1-1
Severity: wishlist

Dear Maintainer,

   I tried to compile czmq (using `apt source czmq`) using
   libelogind-dev but it is not recognized by the configure script of the czmq
   package and depends on libsystemd-dev.

   If possible please make czmq compatible with elogind and libelogind-dev.

   Here are the file of libelogind-dev
   (dpkg-query --listfiles libelogind-dev):
   /.
   /usr
   /usr/include
   /usr/include/elogind
   /usr/include/elogind/systemd
   /usr/include/elogind/systemd/_sd-common.h
   /usr/include/elogind/systemd/sd-bus-protocol.h
   /usr/include/elogind/systemd/sd-bus-vtable.h
   /usr/include/elogind/systemd/sd-bus.h
   /usr/include/elogind/systemd/sd-daemon.h
   /usr/include/elogind/systemd/sd-device.h
   /usr/include/elogind/systemd/sd-event.h
   /usr/include/elogind/systemd/sd-hwdb.h
   /usr/include/elogind/systemd/sd-id128.h
   /usr/include/elogind/systemd/sd-journal.h
   /usr/include/elogind/systemd/sd-login.h
   /usr/include/elogind/systemd/sd-messages.h
   /usr/include/elogind/systemd/sd-path.h
   /usr/lib
   /usr/lib/x86_64-linux-gnu
   /usr/lib/x86_64-linux-gnu/pkgconfig
   /usr/lib/x86_64-linux-gnu/pkgconfig/libelogind.pc
   /usr/share
   /usr/share/doc
   /usr/share/doc/libelogind-dev
   /usr/share/doc/libelogind-dev/changelog.Debian.gz
   /usr/share/doc/libelogind-dev/copyright
   /usr/include/elogind/_sd-common.h
   /usr/include/elogind/sd-bus-protocol.h
   /usr/include/elogind/sd-bus-vtable.h
   /usr/include/elogind/sd-bus.h
   /usr/include/elogind/sd-daemon.h
   /usr/include/elogind/sd-device.h
   /usr/include/elogind/sd-event.h
   /usr/include/elogind/sd-hwdb.h
   /usr/include/elogind/sd-id128.h
   /usr/include/elogind/sd-journal.h
   /usr/include/elogind/sd-login.h
   /usr/include/elogind/sd-messages.h
   /usr/include/elogind/sd-path.h
   /usr/lib/x86_64-linux-gnu/libelogind.so


-- System Information:
Distributor ID:	Devuan
Description:	Devuan GNU/Linux 4 (chimaera/ceres)
Release:	testing/unstable
Codename:	n/a
Architecture: x86_64

Init: sysvinit (via /sbin/init)

Versions of packages libczmq4 depends on:
ii  libc6                      2.31-11
ii  libelogind0 [libsystemd0]  246.10-2
ii  libuuid1                   2.36.1-7+devuan1
ii  libzmq5                    4.3.4-1

libczmq4 recommends no packages.

libczmq4 suggests no packages.

-- no debconf information
[signature.asc (application/pgp-signature, inline)]

Information forwarded to devuan-bugs@lists.dyne.org, devuan-dev@lists.dyne.org:
bug#574; Package libczmq4. (Wed, 14 Apr 2021 11:33:02 GMT) (full text, mbox, link).


Message #8 received at 574@bugs.devuan.org (full text, mbox, reply):

From: Mark Hindley <mark@hindley.org.uk>
To: florine forine <florine@danwin1210.me>, 574@bugs.devuan.org
Subject: Re: bug#574: libczmq4: czmq doesn't compile when using libelogind-dev instead of libsystemd-dev
Date: Wed, 14 Apr 2021 12:08:58 +0100
Control: reassign -1 libelogind0
Control: forcemerge 435 -1

Florine,

On Wed, Apr 07, 2021 at 08:14:40PM +0000, florine forine wrote:
> Package: libczmq4
> Version: 4.2.1-1
> Severity: wishlist
> 
> Dear Maintainer,
> 
>    I tried to compile czmq (using `apt source czmq`) using
>    libelogind-dev but it is not recognized by the configure script of the czmq
>    package and depends on libsystemd-dev.

This is not the correct approach.

The libelogind0 libsystemd0 ABI compatibility is runtime only. Packages are
still compiled against libsystemd-dev. You may need to use a builder chroot if
you have libelogind0 installed on the host system.

This is all documented in libelogind0's README.Debian.

Merging with the original bug (#435).

Thanks

Mark

bug reassigned from package 'libczmq4' to 'libelogind0'. Request was from Mark Hindley <mark@hindley.org.uk> to 574-submit@bugs.devuan.org. (Wed, 14 Apr 2021 11:33:04 GMT) (full text, mbox, link).


No longer marked as found in versions 4.2.1-1. Request was from Mark Hindley <mark@hindley.org.uk> to 574-submit@bugs.devuan.org. (Wed, 14 Apr 2021 11:33:04 GMT) (full text, mbox, link).


Severity set to 'normal' from 'wishlist' Request was from Mark Hindley <mark@hindley.org.uk> to 574-submit@bugs.devuan.org. (Wed, 14 Apr 2021 11:33:04 GMT) (full text, mbox, link).


Marked bug as done Request was from Mark Hindley <mark@hindley.org.uk> to 574-submit@bugs.devuan.org. (Wed, 14 Apr 2021 11:33:04 GMT) (full text, mbox, link).


Notification sent to florine forine <florine@danwin1210.me>:
bug acknowledged by developer. (Wed, 14 Apr 2021 11:33:04 GMT) (full text, mbox, link).


Marked as fixed in versions 243.8-1. Request was from Mark Hindley <mark@hindley.org.uk> to 574-submit@bugs.devuan.org. (Wed, 14 Apr 2021 11:33:04 GMT) (full text, mbox, link).


Added tag(s) chimaera and ceres. Request was from Mark Hindley <mark@hindley.org.uk> to 574-submit@bugs.devuan.org. (Wed, 14 Apr 2021 11:33:04 GMT) (full text, mbox, link).


Merged 435 562 574 Request was from Mark Hindley <mark@hindley.org.uk> to 574-submit@bugs.devuan.org. (Wed, 14 Apr 2021 11:33:04 GMT) (full text, mbox, link).


Added tag(s) patch. Request was from Mark Hindley <mark@hindley.org.uk> to 609-submit@bugs.devuan.org. (Mon, 20 Sep 2021 18:42:05 GMT) (full text, mbox, link).


Merged 435 562 574 609 Request was from Mark Hindley <mark@hindley.org.uk> to 609-submit@bugs.devuan.org. (Mon, 20 Sep 2021 18:42:05 GMT) (full text, mbox, link).


Send a report that this bug log contains spam.


Devuan BTS -- Powered by Debian bug tracking system
Copyright (C) 1999 Darren O. Benham,
1997,2003 nCipher Corporation Ltd, 1994-97 Ian Jackson,
2005-2017 Don Armstrong, and many other contributors.

Devuan Bugs Owner <owner@bugs.devuan.org>.
Last modified: Thu Dec 2 04:26:59 2021;